<?php


namespace OTP\Objects;

abstract class SMSNotification
{
    public $page;
    public $isEnabled;
    public $tooltipHeader;
    public $tooltipBody;
    public $recipient;
    public $smsBody;
    public $defaultSmsBody;
    public $title;
    public $availableTags;
    public $pageHeader;
    public $pageDescription;
    public $notificationType;
    function __construct()
    {
    }
    public abstract function sendSMS(array $bN);
    public function setIsEnabled($iN)
    {
        $this->isEnabled = $iN;
        return $this;
    }
    public function setRecipient($rq)
    {
        $this->recipient = $rq;
        return $this;
    }
    public function setSmsBody($iu)
    {
        $this->smsBody = $iu;
        return $this;
    }
}
